Bug 248592 - Search filter crashes database [@ FilterFactory::numberFilter]
Summary: Search filter crashes database [@ FilterFactory::numberFilter]
Status: RESOLVED WORKSFORME
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.4.1
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-21 13:23 UTC by Myriam Schweingruber
Modified: 2011-09-08 20:19 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.3.2


Attachments
New crash information added by DrKonqi (13.97 KB, text/plain)
2010-08-26 09:39 UTC, Myriam Schweingruber
Details
New crash information added by DrKonqi (12.04 KB, text/plain)
2011-07-04 10:34 UTC, jrandall.au
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Myriam Schweingruber 2010-08-21 13:23:15 UTC
Application: amarok (2.3-GIT)
KDE Platform Version: 4.5.00 (KDE 4.5.0)
Qt Version: 4.7.0
Operating System: Linux 2.6.32-24-generic x86_64
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:

Starting the filer dialog, entered a filter option, in this case format: "ogg"
This causes Amarok to crash as well as a database crash with the following konsole output:


amarok:  [ERROR!] "GREPME MySQLe query failed! (1194) Table 'albums' is marked as crashed and should be repaired on SELECT DISTINCT albums.name, albums.id, albums.artist FROM  albums INNER JOIN tracks ON tracks.album = albums.id INNER JOIN urls ON tracks.url = urls.id WHERE 1  AND urls.deviceid in (3,6,7,8,9,12,-1) AND albums.artist IS NULL  AND ( 1  AND  ( 0  OR  ( 0   OR  tracks.filetype = 2 )) ) ;" 

amarok:  [ERROR!] "GREPME MySQLe query failed! (1194) Table 'artists' is marked as crashed and should be repaired on SELECT DISTINCT artists.name, artists.id FROM  artists INNER JOIN tracks ON tracks.artist = artists.id INNER JOIN urls ON tracks.url = urls.id LEFT JOIN albums ON tracks.album = albums.id WHERE 1  AND urls.deviceid in (3,6,7,8,9,12,-1) AND albums.artist IS NOT NULL  AND ( 1  AND  ( 0  OR  ( 0   OR  tracks.filetype = 2 )) ) ;"

-- Backtrace:
Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0x7f776e86f780 (LWP 10255))]

Thread 15 (Thread 0x7f7750fa9710 (LWP 10260)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f7756067081 in metronom_sync_loop (this=0x1079f70) at metronom.c:851
#2  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f7750170710 (LWP 10261)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f775016fa70 in ?? ()
#2  0x00007fff621c8852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 13 (Thread 0x7f774f765710 (LWP 10267)):
#0  0x00007f776b5a9fb3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f774f76a915 in my_snd_mixer_wait (data=<value optimized out>) at audio_alsa_out.c:150
#2  ao_alsa_handle_event_thread (data=<value optimized out>) at audio_alsa_out.c:166
#3  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f774ef43710 (LWP 10268)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7756077e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f774e316710 (LWP 10269)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7756077e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f774dad3710 (LWP 10270)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7756077e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f774d290710 (LWP 10271)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f7756077e23 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f774b877710 (LWP 10273)):
#0  pthread_mutex_unlock (mutex=0x210b9d8) at forward.c:184
#1  0x00007f7763c4a5aa in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f7763c4a8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f776bf17bd6 in QEventDispatcherGlib::processEvents (this=0x2074d80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f776beea7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f776beeab9c in QEventLoop::exec (this=0x7f774b876d90, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f776bdf623d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f776beca6d8 in QInotifyFileSystemWatcherEngine::run (this=0x21049b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f776bdf91be in QThreadPrivate::start (arg=0x21049b0) at thread/qthread_unix.cpp:266
#9  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f774436e710 (LWP 10274)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f776bdf9d7b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7767ce4d84 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2198aa0, th=0x218e0f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7767ce7f8b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x218e0f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7767ce64ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f774436dde0, parent=0x2198aa0, th=0x218e0f0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7767ce6a58 in ThreadWeaver::Thread::run (this=0x218e0f0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f776bdf91be in QThreadPrivate::start (arg=0x218e0f0) at thread/qthread_unix.cpp:266
#8  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f7743b6d710 (LWP 10275)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f776bdf9d7b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7767ce4d84 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2198aa0, th=0x21a8a90) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7767ce7f8b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x21a8a90) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7767ce64ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f7743b6cde0, parent=0x2198aa0, th=0x21a8a90) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f7767ce6a58 in ThreadWeaver::Thread::run (this=0x21a8a90) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f776bdf91be in QThreadPrivate::start (arg=0x21a8a90) at thread/qthread_unix.cpp:266
#8  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f7743155710 (LWP 10276)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f776697ebbe in WTF::TCMalloc_PageHeap::scavengerThread (this=<value optimized out>) at wtf/FastMalloc.cpp:2378
#2  0x00007f776697ecd9 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f7767134f14) at wtf/FastMalloc.cpp:1497
#3  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f7741972710 (LWP 10277)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f776bdf9d7b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7767ce4d84 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2198aa0, th=0x23311f0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7767ce7f8b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x23311f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x23311f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x23311f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x23311f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x23311f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x23311f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x23311f0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007f7767ce64ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f7741971de0, parent=0x2198aa0, th=0x23311f0) at ../../../threadweaver/Weaver/Thread.cpp:87
#12 0x00007f7767ce6a58 in ThreadWeaver::Thread::run (this=0x23311f0) at ../../../threadweaver/Weaver/Thread.cpp:142
#13 0x00007f776bdf91be in QThreadPrivate::start (arg=0x23311f0) at thread/qthread_unix.cpp:266
#14 0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#15 0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#16 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f773a6ea710 (LWP 10280)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f77675250c4 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f776782f140) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f77675250f9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f776783d214) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f77345bf710 (LWP 10283)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f776bdf9d7b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2225090, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f7767ce4d84 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2198aa0, th=0x1fd9d30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f7767ce7f8b in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x1fd9d30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x1fd9d30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x1fd9d30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f7767ce7fa4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x21abd60, th=0x1fd9d30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f7767ce64ff in ThreadWeaver::ThreadRunHelper::run (this=0x7f77345bede0, parent=0x2198aa0, th=0x1fd9d30) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f7767ce6a58 in ThreadWeaver::Thread::run (this=0x1fd9d30) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f776bdf91be in QThreadPrivate::start (arg=0x1fd9d30) at thread/qthread_unix.cpp:266
#11 0x00007f77690919ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f776b5b672d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f776e86f780 (LWP 10255)):
[KCrash Handler]
#6  0x00007f776b503a75 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f776b5075c0 in *__GI_abort () at abort.c:92
#8  0x00007f776bdf07d4 in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2271
#9  0x00007f776bdf09b2 in qt_message (msgType=QtFatalMsg, msg=0x7f776bf51798 "ASSERT failure in %s: \"%s\", file %s, line %d", ap=0x7fff621a83f0) at global/qglobal.cpp:2317
#10 0x00007f776bdf0b65 in qFatal (msg=0x280f <Address 0x280f out of bounds>) at global/qglobal.cpp:2500
#11 0x00007f776d8910ff in FilterFactory::numberFilter (value=32768, filter=2, compare=Collections::QueryMaker::Equals)
    at /home/myriam/kde/src/amarok/src/core-impl/collections/support/MemoryFilter.cpp:117
#12 0x00007f776d89b512 in Collections::MemoryQueryMaker::addNumberFilter (this=0x4945310, value=32768, filter=2, compare=Collections::QueryMaker::Equals)
    at /home/myriam/kde/src/amarok/src/core-impl/collections/support/MemoryQueryMaker.cpp:475
#13 0x00007f776d5b8221 in CollectionTreeItemModelBase::addFilters (this=0x234d670, qm=0x4945310) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:764
#14 0x00007f776d5bac20 in CollectionTreeItemModelBase::handleCompilations (this=0x234d670, parent=0x1eb8560) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:1147
#15 0x00007f776d5b580b in CollectionTreeItemModelBase::listForLevel (this=0x234d670, level=0, qm=0x48b5cd0, parent=0x1eb8560)
    at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:472
#16 0x00007f776d5b544d in CollectionTreeItemModelBase::ensureChildrenLoaded (this=0x234d670, item=0x1eb8560) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:405
#17 0x00007f776d5aec82 in CollectionTreeItemModel::filterChildren (this=0x234d670) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModel.cpp:170
#18 0x00007f776d5bbef0 in CollectionTreeItemModelBase::slotFilter (this=0x234d670) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:1278
#19 0x00007f776d5bc819 in CollectionTreeItemModelBase::qt_metacall (this=0x234d670, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fff621a8cb0)
    at /home/myriam/kde/build/amarok/src/CollectionTreeItemModelBase.moc:95
#20 0x00007f776d5aeed5 in CollectionTreeItemModel::qt_metacall (this=0x234d670, _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0x7fff621a8cb0)
    at /home/myriam/kde/build/amarok/src/CollectionTreeItemModel.moc:73
#21 0x00007f776bf037a7 in QMetaObject::activate (sender=0x1781718, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#22 0x00007f776befd599 in QObject::event (this=0x1781718, e=0x280f) at kernel/qobject.cpp:1183
#23 0x00007f776c8bacdc in QApplicationPrivate::notify_helper (this=0xe5af40, receiver=0x1781718, e=0x7fff621a9400) at kernel/qapplication.cpp:4389
#24 0x00007f776c8c07cd in QApplication::notify (this=0x7fff621a9700, receiver=0x1781718, e=0x7fff621a9400) at kernel/qapplication.cpp:4270
#25 0x00007f776e289eb6 in KApplication::notify (this=0x7fff621a9700, receiver=0x1781718, event=0x7fff621a9400) at ../../kdeui/kernel/kapplication.cpp:310
#26 0x00007f776beeba8c in QCoreApplication::notifyInternal (this=0x7fff621a9700, receiver=0x1781718, event=0x7fff621a9400) at kernel/qcoreapplication.cpp:732
#27 0x00007f776bf1b0b2 in QCoreApplication::sendEvent (this=0xe617b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#28 QTimerInfoList::activateTimers (this=0xe617b0) at kernel/qeventdispatcher_unix.cpp:602
#29 0x00007f776bf17e94 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#30 0x00007f7763c468c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#31 0x00007f7763c4a748 in ?? () from /lib/libglib-2.0.so.0
#32 0x00007f7763c4a8fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#33 0x00007f776bf17b83 in QEventDispatcherGlib::processEvents (this=0xcfe030, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#34 0x00007f776c96c7ee in QGuiEventDispatcherGlib::processEvents (this=0x280f, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f776beea7b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#36 0x00007f776beeab9c in QEventLoop::exec (this=0x7fff621a96a0, flags=) at kernel/qeventloop.cpp:201
#37 0x00007f776beeec4b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#38 0x000000000040b026 in main (argc=4, argv=0x7fff621ab658) at /home/myriam/kde/src/amarok/src/main.cpp:237

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2010-08-21 15:32:58 UTC
Can't reproduce currently, closing for now.
Comment 2 Myriam Schweingruber 2010-08-26 09:39:04 UTC
Created attachment 50967 [details]
New crash information added by DrKonqi

amarok (2.3-GIT) on KDE Platform 4.5.00 (KDE 4.5.0) using Qt 4.7.0

- What I was doing when the application crashed:

Tried to filter the commelction, started typing Format:" and it crashed.

-- Backtrace (Reduced):
#11 0x00007f4daebe7a27 in FilterFactory::numberFilter (value=32768, filter=0, compare=Collections::QueryMaker::Equals)
    at /home/myriam/kde/src/amarok/src/core-impl/collections/support/MemoryFilter.cpp:117
#12 0x00007f4daebf1e36 in Collections::MemoryQueryMaker::addNumberFilter (this=0x75320d0, value=32768, filter=0, compare=Collections::QueryMaker::Equals)
    at /home/myriam/kde/src/amarok/src/core-impl/collections/support/MemoryQueryMaker.cpp:475
#13 0x00007f4dae90c910 in CollectionTreeItemModelBase::addFilters (this=0x2bbbf50, qm=0x75320d0) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:768
#14 0x00007f4dae90f30e in CollectionTreeItemModelBase::handleCompilations (this=0x2bbbf50, parent=0x2bbc520) at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:1151
#15 0x00007f4dae909d5b in CollectionTreeItemModelBase::listForLevel (this=0x2bbbf50, level=0, qm=0x76361e0, parent=0x2bbc520)
    at /home/myriam/kde/src/amarok/src/browsers/CollectionTreeItemModelBase.cpp:472
Comment 3 Myriam Schweingruber 2010-08-26 09:40:19 UTC
This crash seems to happen only after Amarok is running for some time, after a fresh start it doesn't, only after a few hours...
Comment 4 Myriam Schweingruber 2010-08-26 10:26:39 UTC
All crashes happened with the search for Format, BTW
Comment 5 Myriam Schweingruber 2011-06-04 11:48:19 UTC
This is an automated message from the triager:

Amarok 2.4.1 has been released on May 8 already. Could you please upgrade and test if you can still reproduce this bug?

Without feedback within a month we will close this bug as resolved.

Thank you for your understanding.
Comment 6 jrandall.au 2011-07-04 10:34:06 UTC
Created attachment 61598 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.4 (4.6.4) using Qt 4.7.3

- What I was doing when the application crashed:

Searching for string "podcast" in the local music collection

-- Backtrace (Reduced):
#6  0x00007fee5debe859 in CollectionTreeItemModelBase::slotFilter() () from /usr/lib/libamaroklib.so.1
#7  0x00007fee5dec3068 in CollectionTreeItemModelBase::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libamaroklib.so.1
[...]
#9  0x00007fee5c4deec9 in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#10 0x00007fee5cee36d4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#11 0x00007fee5cee8561 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
Comment 7 Myriam Schweingruber 2011-07-04 18:44:11 UTC
Could you please install the debugging symbols for Amarok and paste a better backtrace?
Comment 8 Myriam Schweingruber 2011-09-08 20:19:28 UTC
Not reproducible anymore in current git.